summaryrefslogtreecommitdiffstats
path: root/network/mod_geoip2
diff options
context:
space:
mode:
Diffstat (limited to 'network/mod_geoip2')
-rw-r--r--network/mod_geoip2/README9
-rw-r--r--network/mod_geoip2/mod_geoip2.SlackBuild34
-rw-r--r--network/mod_geoip2/mod_geoip2.info2
3 files changed, 29 insertions, 16 deletions
diff --git a/network/mod_geoip2/README b/network/mod_geoip2/README
index 9ed2462b05..0acbe63ead 100644
--- a/network/mod_geoip2/README
+++ b/network/mod_geoip2/README
@@ -1,10 +1,11 @@
mod_geoip2 is an Apache 2.x module for finding the country and city
-that a web request originated from. It uses the GeoIP library and
-database to perform the lookup. It is free software, licensed under
+that a web request originated from. It uses the GeoIP library and
+database to perform the lookup. It is free software, licensed under
the Apache license.
You will need to add the following line to /etc/httpd/httpd.conf:
Include /etc/httpd/extra/mod_geoip.conf
-mod_geoip2 can be further configured through the Apache configuration file;
-see the README in the package's documentation directory for details.
+mod_geoip2 can be further configured through the Apache configuration
+file; see the README in the package's documentation directory for
+details.
diff --git a/network/mod_geoip2/mod_geoip2.SlackBuild b/network/mod_geoip2/mod_geoip2.SlackBuild
index cee70f262f..63bf3c237c 100644
--- a/network/mod_geoip2/mod_geoip2.SlackBuild
+++ b/network/mod_geoip2/mod_geoip2.SlackBuild
@@ -1,29 +1,41 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for mod_geoip2 (an Apache2 module for GeoIP)
# Written by Zordrak (slackbuilds@tpa.me.uk)
# Template written by Menno E. Duursma
+# 20220330 bkw: Modified by SlackBuilds.org, BUILD=2:
+# - i486 => i586.
+# - fix download URL.
+# - remove useless INSTALL from doc dir.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
PRGNAM=mod_geoip2
VERSION=${VERSION:-1.2.7}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
fi
-CWD=$(pwd)
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -36,7 +48,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e # exit on most errors
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -47,9 +59,9 @@ cd ${PRGNAM}_${VERSION}
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
- -o -perm 511 \) -exec chmod 755 {} \; -o \
+ -o -perm 511 \) -exec chmod 755 {} \+ -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
# http://pkgs.fedoraproject.org/cgit/mod_geoip.git/tree/mod_geoip-httpd24.patch
patch -p0 < $CWD/mod_geoip-httpd24.patch
@@ -71,7 +83,7 @@ find $PKG -type f | xargs file | grep -e "executable" -e "shared object" | \
grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a Changes INSTALL README README.php $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Changes README README.php $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
find $PKG/usr/doc -type f -exec chmod 0644 {} \;
@@ -80,4 +92,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/network/mod_geoip2/mod_geoip2.info b/network/mod_geoip2/mod_geoip2.info
index c12db5a5ba..9dbd9e10da 100644
--- a/network/mod_geoip2/mod_geoip2.info
+++ b/network/mod_geoip2/mod_geoip2.info
@@ -1,7 +1,7 @@
PRGNAM="mod_geoip2"
VERSION="1.2.7"
HOMEPAGE="http://www.maxmind.com/app/mod_geoip"
-DOWNLOAD="http://geolite.maxmind.com/download/geoip/api/mod_geoip2/mod_geoip2_1.2.7.tar.gz"
+DOWNLOAD="http://attic-distfiles.pld-linux.org/distfiles/by-md5/7/6/76514ad0e8adb8cd8231c5e3646d03fd/mod_geoip2_1.2.7.tar.gz"
MD5SUM="76514ad0e8adb8cd8231c5e3646d03fd"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""